Bug 482880 - Review Request: perl-Sane - Access SANE-compatible scanners with perl
Review Request: perl-Sane - Access SANE-compatible scanners with perl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 482882
  Show dependency treegraph
 
Reported: 2009-01-28 12:13 EST by Bernard Johnson
Modified: 2009-02-04 21:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:17:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2009-01-28 12:13:01 EST
Spec URL: http://fedorapeople.org/~bjohnson/perl-Sane.spec
SRPM URL: http://fedorapeople.org/~bjohnson/perl-Sane-0.02-1.fc10.src.rpm
Description: 
This module allows you to access SANE-compatible scanners in a Perlish and
object-oriented way, freeing you from the casting and memory management in C,
yet remaining very close in spirit to original API.


Note: I've already queried the author regarding adding a license file and he thought that the README was sufficient.
Comment 1 Parag AN(पराग) 2009-01-29 03:04:08 EST
Perl package source generally includes license test in its perl module source text files(.pm here say) only.

Suggestions:
1) SRPM when extracted got SPEC with License as  "Unknown" whereas SPEC file link shows correct license as "GPL+ or Artistic"

2) Summary should be 
"Perl extension for the SANE (Scanner Access Now Easy) Project"

3) %files should be
%files
%defattr(-,root,root,-)
%doc Changes README examples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Sane*
%{_mandir}/man3/*
Comment 2 Parag AN(पराग) 2009-01-29 03:07:11 EST
(In reply to comment #1)
> Perl package source generally includes license test in its perl module source
> text files(.pm here say) only.
> 
 s/test/text/

> Suggestions:
> 1) SRPM when extracted got SPEC with License as  "Unknown" whereas SPEC file
> link shows correct license as "GPL+ or Artistic"
> 
> 2) Summary should be 
> "Perl extension for the SANE (Scanner Access Now Easy) Project"
> 
> 3) %files should be
> %files
> %defattr(-,root,root,-)
> %doc Changes README examples
> %{perl_vendorarch}/auto/*
> %{perl_vendorarch}/Sane*
> %{_mandir}/man3/*
Comment 3 Bernard Johnson 2009-01-29 13:53:02 EST
(In reply to comment #1)
> Perl package source generally includes license test in its perl module source
> text files(.pm here say) only.

The author thinks that the information in the README is sufficient.

> Suggestions:
> 1) SRPM when extracted got SPEC with License as  "Unknown" whereas SPEC file
> link shows correct license as "GPL+ or Artistic"

Someone I think I uploaded a file in progress - this has been fixed.
 
> 2) Summary should be 
> "Perl extension for the SANE (Scanner Access Now Easy) Project"

fixed

> 3) %files should be
> %files
> %defattr(-,root,root,-)
> %doc Changes README examples
> %{perl_vendorarch}/auto/*
> %{perl_vendorarch}/Sane*
> %{_mandir}/man3/*

fixed

Spec URL: http://fedorapeople.org/~bjohnson/perl-Sane.spec
SRPM URL: http://fedorapeople.org/~bjohnson/perl-Sane-0.02-2.fc10.src.rpm
Comment 4 Parag AN(पराग) 2009-01-30 01:08:17 EST
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1092739
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
03fa0ad2a50e18598d91f197924fb54d  Sane-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=323,  1 wallclock secs ( 0.07 usr  0.00 sys +  0.27 cusr  0.04 csys =  0.38 CPU)
+ Package  perl-Sane-0.02-2.fc11 =>
  Provides: Sane.so perl(Sane) = 0.02 perl(Sane::Device) perl(Sane::Status)
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libdl.so.2 libexif.so.12 libgphoto2.so.2 libgphoto2_port.so.0 libieee1284.so.3 libjpeg.so.62 libm.so.6 libpthread.so.0 libpthread.so.0(GLIBC_2.0) libsane.so.1 libusb-0.1.so.4 perl >= 0:5.008005 perl(Exporter) perl(overload) perl(strict) perl(warnings) rtld(GNU_HASH)

APPROVED.
Comment 5 Bernard Johnson 2009-01-31 20:20:08 EST
Thanks Parag AN(पराग)!

New Package CVS Request
=======================
Package Name: perl-Sane
Short Description: Perl extension for the SANE (Scanner Access Now Easy) Project
Owners: bjohnson
Branches: F-10
InitialCC: fedora-perl-devel-list@redhat.com
Comment 6 Kevin Fenzi 2009-02-01 13:41:51 EST
cvs done.
Comment 7 Fedora Update System 2009-02-04 21:17:51 EST
perl-Sane-0.02-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.